require 'test_helper'
require 'rails/generators/test_case'
require 'generators/titlezilla/install_generator'

class GeneratorTest < Rails::Generators::TestCase
  tests Titlezilla::Generators::InstallGenerator
  destination File.expand_path('../../tmp', __FILE__)
  setup :prepare_destination
  teardown { rm_rf(destination_root) }

  test 'generates example locale file' do
    run_generator
    assert_file 'config/locales/titles.en.yml'
  end
end
