# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'titlezilla/version'

Gem::Specification.new do |spec|
  spec.name          = 'titlezilla'
  spec.version       = Titlezilla::VERSION
  spec.authors       = ['Evgeny Likholetov']
  spec.email         = ['bsboris@gmail.com']
  spec.description   = 'Ultimate solution for dealing with titles in Rails.'
  spec.summary       = 'Ultimate solution for dealing with titles in Rails.'
  spec.homepage      = 'https://github.com/bsboris/titlezilla'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.test_files    = spec.files.grep(%r{^(test)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'actionpack', '>= 4.1'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'minitest', '~> 5.1'
  spec.add_development_dependency 'railties'
  spec.add_development_dependency 'rake'
end
